package ru.ifmo.control.manager;

import java.util.Random;

import com.evelopers.unimod.runtime.context.StateMachineContext;

/**
 *   ,  
 *   .
 */
public class RandomWalkManager extends Manager {
	
	private int factor = 100;
	private Random rand = new Random();
	
	/**
	 * @unimod.action.descr random value beetveen 0 and {@link #factor}
	 */
	public int random(StateMachineContext context) {
		return rand.nextInt(factor);
	}

	/**
	 * @unimod.action.descr is probability p
	 */
	public boolean p(StateMachineContext context) {
		return rand.nextDouble() > data.p;
	}

	/**
	 * @unimod.action.descr is probability q
	 */
	public boolean q(StateMachineContext context) {
		return rand.nextDouble() > data.q;
	}
}
