package ru.ifmo.control.manager;

import com.evelopers.unimod.runtime.context.StateMachineContext;

/**
 *      (. CarModel2.unimod)
 */
public class CarManager2 extends CarManager {

	/*    */
	private final double dt = 20;
	
	/**
	 * @unimod.action.descr is motion path intersect with player's car path
	 */
	public boolean x5(StateMachineContext context) {
		data.playerCar.getLocation(player);
		double alpha = data.playerCar.getDirectionAngle();
		myCar.getLocation(police);
		double betha = myCar.getDirectionAngle();
		
		//  x -        
		double tx = (player.getX() - police.getX()) / 
			(myCar.getSpeed() * Math.cos(betha) - data.playerCar.getSpeed() * Math.cos(alpha));
		if (tx > 0 && !Double.isInfinite(tx)) {
			//  y - 
			double ty = (player.getY() - police.getY()) / 
			(myCar.getSpeed() * Math.sin(betha) - data.playerCar.getSpeed() * Math.sin(alpha));
			if (ty > 0  && !Double.isInfinite(tx)) {
				return (Math.abs(tx - ty) < dt);
			}
		}
				
		return false;
	}

}
